package com.example.peopluz1;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.viewpager2.adapter.FragmentStateAdapter;

import com.example.peopluz1.fragments.Checker;
import com.example.peopluz1.fragments.Notification;
import com.example.peopluz1.fragments.Update;

public class ViewPagerAdapter extends FragmentStateAdapter {
    public ViewPagerAdapter(@NonNull FragmentActivity fragmentActivity) {
        super(fragmentActivity);
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {
        switch (position){
            case 0:
                return new Update();
            case 1:
                return new Notification();
            case 2:
                return new Checker();
            default:
                return new Update();
        }
    }

    @Override
    public int getItemCount() {
        return 3;
    }
}
