package com.example.peopluz1;

import androidx.appcompat.app.AppCompatActivity;
import androidx.viewpager2.widget.ViewPager2;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.google.android.material.tabs.TabLayout;

public class HealthyHeart extends AppCompatActivity {
    TabLayout tabLayout;
    ViewPager2 viewPager2;
    ViewPagerAdapter2 ViewPagerAdapter2;
    Button workoutBtn,mealBtn;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_healthy_heart);

        tabLayout=findViewById(R.id.tab_layout2);
        viewPager2=findViewById(R.id.view_pager2);
        ViewPagerAdapter2=new ViewPagerAdapter2(this);
        viewPager2.setAdapter(ViewPagerAdapter2);

        tabLayout.addOnTabSelectedListener(new TabLayout.OnTabSelectedListener() {
            @Override
            public void onTabSelected(TabLayout.Tab tab) {
                viewPager2.setCurrentItem(tab.getPosition());
            }

            @Override
            public void onTabUnselected(TabLayout.Tab tab) {

            }

            @Override
            public void onTabReselected(TabLayout.Tab tab) {

            }
        });

        viewPager2.registerOnPageChangeCallback(new ViewPager2.OnPageChangeCallback() {
            @Override
            public void onPageSelected(int position) {
                super.onPageSelected(position);
                tabLayout.getTabAt(position).select();
            }
        });

//        workoutBtn=findViewById(R.id.button10);
//        mealBtn=findViewById(R.id.button2);
//
//
//        workoutBtn.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(final View v) {
//                startActivity(new Intent(getApplicationContext(),workoutplan.class));
//                overridePendingTransition(0,0);
//            }
//        });
//
//        mealBtn.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(final View v) {
//                startActivity(new Intent(getApplicationContext(),MealPlan.class));
//                overridePendingTransition(0,0);
//            }
//        });
    }
}