package com.example.peopluz1;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.viewpager2.adapter.FragmentStateAdapter;

import com.example.peopluz1.Heart.Diabetic;
import com.example.peopluz1.Heart.Meal;
import com.example.peopluz1.fragments.Checker;
import com.example.peopluz1.fragments.Notification;
import com.example.peopluz1.fragments.Update;

public class ViewPagerAdapter2 extends FragmentStateAdapter {
    public ViewPagerAdapter2(@NonNull FragmentActivity fragmentActivity) {
        super(fragmentActivity);
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {
        switch (position){
            case 0:
                return new Diabetic();
            case 1:
                return new Meal();

            default:
                return new Diabetic();
        }
    }

    @Override
    public int getItemCount() {
        return 2;
    }
}
